// ユーザー処理
function UserAgent(app, empire) {
   // Aiクラスを継承
    var ai = new Ai(app, empire);
    for (var proto in ai) {
        this[proto] = ai[proto];
    }

    /**
     * コマンドのSELECTタグ用OPTIONタグ文字列を作成する
     */
    this.getCmdOptions = function(cmdList, selectedCmd) {
        var str = "";
        this.empire.tmp_trs += selectedCmd.cost();
        for (var i = 0; i < cmdList.length; i++) {
            var cmd = cmdList[i];
            var cmdList2 = cmd.canBuildList(this, cmd.planet);
            if (cmdList2) {
                for (var j = 0; j < cmdList2.length; j++) {
                    var cmd2 = cmdList2[j];
                    str += "<option value=\"" + cmd2.makeKey() + "\"";
                    if ( (selectedCmd)
                            && (cmd2.makeKey() == selectedCmd.makeKey()) ) {
                        str += " selected";
                    }
                    str += ">" + cmd2.getFullName() + "</option>\n";
                }
            }
        }
        this.empire.tmp_trs -= selectedCmd.cost();
        return str;
    }

    /**
    * 植民船団コマンドのSELECTタグ用OPTIONタグ文字列を作成する
    */
    this.getSettlerCmdOptions = function(cmdList, selectedCmd) {
        var str = "";
        this.empire.tmp_trs += selectedCmd.cost();
        for (var i = 0; i < cmdList.length; i++) {
            var cmd = cmdList[i];
            var cmdList2 = cmd.canBuildList(this, cmd.fromloc);
            if (cmdList2) {
                for (var j = 0; j < cmdList2.length; j++) {
                    var cmd2 = cmdList2[j];
                    str += "<option value=\"" + cmd2.makeKey() + "\"";
                    if ( (selectedCmd)
                    && (cmd2.makeKey() == selectedCmd.makeKey()) ) {
                        str += " selected";
                    }
                    str += ">" + cmd2.getFullName() + "</option>\n";
                }
            }
        }
        this.empire.tmp_trs -= selectedCmd.cost();
        return str;
    }

    
    this.checkDisp = function(eid) {
        if (! this.empire) {
            return false;
        }
        if (this.empire.id == eid) {
            return true;
        }
        return (this.empire.yoronList[eid]);
    }

    this.getTecOptions = function(tec) {
        var totalTec = 0;
        totalTec += this.tecNavigate.yosan_p;
        totalTec += this.tecSearch.yosan_p;
        totalTec += this.tecMilitary.yosan_p;

        var maxValue = 100 - totalTec + this[tec].yosan_p;
        if (maxValue <= 0) {
            return "";
        }
        var result = "";
        for (var i = 0; i <= maxValue; i += 10) {
            if (i == this[tec].yosan_p) {
                result += "<option value='" + i + "' selected>" + i + "%</option>\n";
            } else {
                result += "<option value='" + i + "'>" + i + "%</option>\n";
            }
        }

        return result;
    }
}                                                                                                   